Kelsey Martens
Kelsey Martens

Director of Software Operations

Posted on Feb 1, 2017

Retiring EE 2.x Versions of Our Add-ons

With the recent announcement by EllisLab about ExpressionEngine 2.x being retired on April 30, 2017, we're announcing that all EE 2.x compatible versions of Solspace add-ons will be retired on that date as well. ExpressionEngine 3 and all of our EE3 compatible add-ons will have been available for well over a year by then, and we're very confident of the stability of ExpressionEngine 3 and our products. We encourage EE2 users to upgrade to EE3 in the near future to enjoy the many additional benefits that come with it.

Over the next few weeks, we will begin removing EE 2.x compatible versions from the EE 3.x compatible download packages of our add-ons (but if you have an EE 2.x specific license, you'll still have access to a separate EE 2.x compatible download forever). If you still need access to an EE 2.x version after this, you can always contact us for a copy.

What does this mean for Solspace add-on customers still on EE 2.x?

All Solspace software licenses come with 2 years premium support from the date of purchase, so you will continue to receive support for issues with any EE 2.x compatible versions until that time, even if it's past April 30, 2017. From today forward, no updates will be made to our EE 2.x compatible software unless it's a special circumstance, such as a security issue.

For customers wishing to upgrade to EE 3.x compatible versions of our add-ons, you can do so by logging into your account and taking advantage of discounted upgrade prices.

If you have any questions or concerns, please don't hesitate to contact us.

Let's begin our conversation

Contact us now.